package com.diagbot.entity.node;

import com.diagbot.entity.relationship.Medicine_AgeMin;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import com.diagbot.entity.node.base.BaseNode;
import lombok.EqualsAndHashCode;
import org.neo4j.ogm.annotation.Labels;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;
import java.util.Set;

@Data
@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "药品通用名")
public class Medicine extends BaseNode implements Serializable {

    @Relationship(type = "药品通用名禁忌年龄最小值", direction = Relationship.OUTGOING)
    private AgeMin ageMin;

    @Relationship(type = "药品通用名禁忌性别", direction = Relationship.OUTGOING)
    private Gender gender;

    @Relationship(type = "药品通用名禁忌年龄最大值", direction = Relationship.OUTGOING)
    private AgeMax agemax;

    @Relationship(type = "药品通用名禁忌临床表现", direction = Relationship.OUTGOING)
    private ClinicalFinding clinicalfinding;

    @Relationship(type = "药品通用名禁忌实验室检查", direction = Relationship.OUTGOING)
    private LIS lis;

    @Relationship(type = "药品通用名禁忌辅助检查", direction = Relationship.OUTGOING)
    private PACS pacs;

    @Relationship(type = "药品通用名禁忌过敏药品", direction = Relationship.OUTGOING)
    private AllergicMed allergicmed;

    @Relationship(type = "药品通用名禁忌手术", direction = Relationship.OUTGOING)
    private Operation operation;

    @Relationship(type = "药品通用名禁忌操作", direction = Relationship.OUTGOING)
    private Procedure procedure;

    @Relationship(type = "药品通用名禁忌疾病", direction = Relationship.OUTGOING)
    private Disease disease;

    @Relationship(type = "药品通用名禁忌人群", direction = Relationship.OUTGOING)
    private Group group;

    @Relationship(type = "药品通用名禁忌配伍", direction = Relationship.OUTGOING)
    private Conflict conflict;

}